extern crate reqwest;
use std::collections::HashMap;
use crate::url;

pub async fn post_request(handle: String, pass: String) -> String {

    let url = url(&"session_create");

    let mut map = HashMap::new();
    map.insert("identifier", &handle);
    map.insert("password", &pass);

    let client = reqwest::Client::new();
    let res = client
        .post(url)
        .json(&map)
        .send()
        .await
        .unwrap()
        .text()
        .await
        .unwrap();

    return res
}
